Subject: Errors in man pages

From: Helge Kreutzmann <[email-masked]>
Date: Mon, 21 Dec 2020 17:11:29 +0100

Dear grep maintainer,
the manpage-l10n project maintains a large number of translations of
man pages both from a large variety of sources (including grep) as
well for a large variety of target languages.

During their work translators notice different possible issues in the
original (english) man pages. Sometimes this is a straightforward
typo, sometimes a hard to read sentence, sometimes this is a
convention not held up and sometimes we simply do not understand the
original.

We use several distributions as sources and update regularly (at
least every 2 month). This means we are fairly recent (some
distributions like archlinux also update frequently) but might miss
the latest upstream version once in a while, so the error might be
already fixed. We apologize and ask you to close the issue immediately
if this should be the case, but given the huge volume of projects and
the very limited number of volunteers we are not able to double check
each and every issue.

Secondly we translators see the manpages in the neutral po format,
i.e. converted and harmonized, but not the original source (be it man,
groff, xml or other). So we cannot provide a true patch (where
possible), but only an approximation which you need to convert into
your source format.

Finally the issues I'm reporting have accumulated over time and are
not always discovered by me, so sometimes my description of the
problem my be a bit limited - do not hesitate to ask so we can clarify
them.

I'm now reporting the errors for your project. If future reports
should use another channel, please let me know.

Man page: grep.1
Issue: The option was mentioned above!

"Suppress normal output; instead print a count of matching lines for each "
"input file.  With the B<-v>, B<-\\^-invert-match> option (see below), count "
"non-matching lines."
--
Man page: grep.1
Issue: Reorder text?

"Report Unix-style byte offsets.  This switch causes B<grep> to report byte "
"offsets as if the file were a Unix-style text file, i.e., with CR characters "
"stripped off.  This will produce results identical to running B<grep> on a "
"Unix machine.  This option has no effect unless B<-b> option is also used; "
"it has no effect on platforms other than MS-DOS and MS-Windows."
--
Man page: grep.1
Issue 1: pcresyntax(3) → B<pcresyntax>(3)
Issue 2: pcrepattern(3) → B<pcrepattern>(3)

"B<grep> understands three different versions of regular expression syntax: "
"``basic'' (BRE), ``extended'' (ERE) and ``perl'' (PCRE).  In GNU B<grep> "
"there is no difference in available functionality between basic and extended "
"syntaxes.  In other implementations, basic regular expressions are less "
"powerful.  The following description applies to extended regular "
"expressions; differences for basic regular expressions are summarized "
"afterwards.  Perl-compatible regular expressions give additional "
"functionality, and are documented in pcresyntax(3) and pcrepattern(3), but "
"work only if PCRE is available in the system."
--
Man page: grep.1
Issue: Order of entrie not according to man-pages(7)

"B<awk>(1), B<cmp>(1), B<diff>(1), B<find>(1), B<perl>(1), B<sed>(1), "
"B<sort>(1), B<xargs>(1), B<read>(2), B<pcre>(3), B<pcresyntax>(3), "
"B<pcrepattern>(3), B<terminfo>(5), B<glob>(7), B<regex>(7)."
--
Man page: grep.1
Issue: PATTERNS → I<PATTERNS>

"Interpret PATTERNS as Perl-compatible regular expressions (PCREs).  This "
"option is experimental when combined with the B<-z> (B<-\\^-null-data>)  "
"option, and B<grep -P> may warn of unimplemented features."
--
Man page: grep.1
Issue: Not in "grep --help"; remove?

"B<-y>"
--
Man page: grep.1
Issue: Not in --help; is it a valid option?

"B<-u>, B<-\\^-unix-byte-offsets>"
--
Man page: grep.1
Issue: grep should be in B<>

"Read all files under each directory, recursively, following symbolic links "
"only if they are on the command line.  Note that if no file operand is "
"given, grep searches the working directory.  This is equivalent to the B<-d "
"recurse> option."

-- 
      Dr. Helge Kreutzmann                     [email-masked]
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/